"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function VALIDATE(validateFunction, autoCall = true) {
    return (_target, _fieldName, func) => {
        const baseMethod = func.value;
        func.value = async (...args) => {
            if (autoCall)
                await validateFunction(...args);
            return await baseMethod(...args, validateFunction);
        };
        return func;
    };
}
exports.VALIDATE = VALIDATE;
